mupen64plus(1)

NAME
mupen64plus - A plugin-based N64 emulator for Linux

SYNOPSIS
mupen64plus [parameters(s)] [romfile]

DESCRIPTION
Mupen64Plus is a plugin-based N64 emulator for Linux which is capable of accurately playing many games. Included are four MIPS R4300 CPU emulators, with dynamic recompilers for 32-bit x86 and 64-bit amd64 systems, and necessary plugins for audio, graphical rendering (RDP), signal co-processor (RSP), and input. There are 3 OpenGL video plugins included: glN64, RiceVideoLinux, and Glide64. The most current documentation can be found at the project's homepage: http://code.google.com/p/mupen64plus

-h, --help
    Print help message.

--nogui
    Starts the emulator without a graphical frontend. If this option is specified, romfile must also be specified.

--noask
    Do not prompt user if rom file is hacked or a bad dump.

--noosd
    Disable onscreen display.

--fullscreen
    Run emulator in fullscreen mode.

--romnumber number
    Specify which number (zero indexed) rom to load from a multi-rom archive specified by romfile.

--emumode mode
    Specifies which mode the emulator core should run in. mode should be set to one of the following numbers: 0=Interpreter, 1=Dynamic Recompiler (DynaRec), 2=Pure Interpreter.

--gfx plugin-file
    Specifies a graphics plugin-file to use during emulation. If the specified plugin-file is valid, the user will not be able to change the graphics plugin in the gui. If the specified plugin-file is invalid, a warning will be printed and the option will be ignored.

--audio plugin-file
    Specifies an audio plugin-file to use during emulation. If the specified plugin-file is valid, the user will not be able to change the audio plugin in the gui. If the specified plugin-file is invalid, a warning will be printed and the option will be ignored.

--input plugin-file
    Specifies an input plugin-file to use during emulation. If the specified plugin-file is valid, the user will not be able to change the input plugin in the gui. If the specified plugin-file is invalid, a warning will be printed and the option will be ignored.

--rsp plugin-file
    Specifies an RSP plugin-file to use during emulation. If the specified plugin-file is valid, the user will not be able to change the RSP plugin in the gui. If the specified plugin-file is invalid, a warning will be printed and the option will be ignored.

--sshotdir directory
    Specifies a directory to save screenshots captured during gameplay. Default is ~/.mupen64plus/screenshots.

--configdir directory
    Specifies a directory to use to look for emulator and plugin configuration files, game saves, and hi-res textures. Default is ~/.mupen64plus.

--installdir directory
    Specifies a directory to use to look for plugin files, gui icons, language translation files, etc. Default is PREFIX/share/mupen64plus.

--testshots list
    Take screenshots at frames given in comma-separated list, then quit.

KEY COMMANDS
The following shortcut keys can be used during emulation.

Escape
    Quit the emulator.

0-9 Select virtual 'slot' for save/load state.

F5  Save emulator state to current slot.

F7  Load emulator state from current slot.

Alt-Enter
    Toggle fullscreen mode.

Pause
    Pause/continue emulation.

m or M
    Mute/unmute sound.

[   Decrease volume.

]   Increase volume.

FILES
Mupen64plus supports per user configurations for the core emulator and plugins located in ~/.mupen64plus/. A user's rom cache is located in ~/.mupen64plus/rombrowser.cache.

LIRC SUPPORT
Mupen64Plus includes support for Linux Infrared Remote Control (LIRC). This can be used to send commands to Mupen64Plus using a remote control. For complete instructions on enabling LIRC support, see this wiki page: http://code.google.com/p/mupen64plus/wiki/LIRC

BUGS
To report bugs or make feature requests, use the issue tracker on the Mupen64Plus project site: http://code.google.com/p/mupen64plus/issues/list

AUTHORS
Mupen64Plus was originally started by Richard42 and nmn, and is based on Mupen64 (originally written by Hacktarux). This man page was written by ebenblues.

COPYRIGHT
Mupen64Plus is © 2008 The Mupen64Plus Team License GPLv2+: GNU GPL version 2 or later <http://gnu.org/licenses/gpl.html> This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.